Bug 387661 - neato output languages missing: ps, png, svg
neato output languages missing: ps, png, svg
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jima
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-16 16:24 EST by Matteo Corti
Modified: 2008-10-22 14:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-03 15:52:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matteo Corti 2007-11-16 16:24:17 EST
Description of problem:

the neato version in the package is missing ps, png and svg support

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. neato -Tps
Actual results:
Renderer type: "ps" not recognized. Use one of: dia hpgl mif mp pcl pic vtx

Expected results:
(nothing) wait for standard input

Additional info:
It worked on F7 and works on RedHat
Comment 1 Matteo Corti 2007-11-21 06:34:07 EST
The missing renderers are now part of graphviz-gd (which is not installed by
upgrading from F7 to F8)
Comment 2 Jima 2007-12-03 15:52:11 EST
I apologize for the delay in my response.

I'm seeing the same behavior between both the F7 and F8 RPMs.  In fact, I had to
fake it out with -Tgif (which is provided by graphviz-gd) to even get it to
error out:

Renderer type: "gif" not recognized. Use one of: canon cmap cmapx cmapx_np dia
dot fig gtk hpgl imap imap_np ismap mif mp pcl pdf pic plain plain-ext png ps
ps2 svg svgz vml vmlz vtx xdot xlib

Confirmed on both i386 and x86_64.  All that's installed is graphviz-2.14.1-3.fc8.

Closing as WORKSFORME.
Comment 3 Matthew Miller 2008-10-22 14:52:07 EDT
for reference, see bug #468093

Note You need to log in before you can comment on or make changes to this bug.